Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 610998 - app-emulation/libguestfs-1.28.5-r2 : ../.../libguestfs.so: undefined reference to `major'
Summary: app-emulation/libguestfs-1.28.5-r2 : ../.../libguestfs.so: undefined referenc...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Maxim Koltsov
URL:
Whiteboard: ~arch only
Keywords:
Depends on: 601162
Blocks: glibc-sysmacros
  Show dependency tree
 
Reported: 2017-02-26 14:54 UTC by Toralf Förster
Modified: 2018-04-27 23:09 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,6.20 KB, text/plain)
2017-02-26 14:54 UTC, Toralf Förster
Details
app-emulation:libguestfs-1.28.5-r2:20170226-140822.log (app-emulation:libguestfs-1.28.5-r2:20170226-140822.log,437.04 KB, text/plain)
2017-02-26 14:54 UTC, Toralf Förster
Details
config.log.tbz2 (config.log.tbz2,73.98 KB, application/x-bzip)
2017-02-26 14:54 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,431.65 KB, text/plain)
2017-02-26 14:54 UTC, Toralf Förster
Details
environment (environment,207.21 KB, text/plain)
2017-02-26 14:54 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,25.83 KB, application/x-bzip)
2017-02-26 14:54 UTC, Toralf Förster
Details
57c327538ee18c1736bc4cd6d655c4d96c309900.patch.out (57c327538ee18c1736bc4cd6d655c4d96c309900.patch.out,13.14 KB, text/plain)
2017-03-01 20:44 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-02-26 14:54:04 UTC
libtool: link: x86_64-pc-linux-gnu-gcc -W -Wabi -Waddress -Waggressive-loop-optimizations -Wall -Warray-bounds -Wattributes -Wbad-function-cast -Wbuiltin-macro-redefined -Wcast-align -Wchar-subscripts -Wclobbered -Wcomment -Wcomments -Wcoverage-mismatch -Wcpp -Wdate-time -Wdeprecated -Wdeprecated-declarations -Wdisabled-optimization -Wdiv-by-zero -Wdouble-promotion -Wempty-body -Wendif-labels -Wenum-compare -Wextra -Wformat-contains-nul -Wformat-extra-args -Wformat-nonliteral -Wformat-security -Wformat-y2k -Wformat-zero-length -Wfree-nonheap-object -Wignored-qualifiers -Wimplicit -Wimplicit-function-declaration -Wimplicit-int -Winit-self -Wint-to-pointer-cast -Winvalid-memory-model -Winvalid-pch -Wjump-misses-init -Wlogical-op -Wmain -Wmaybe-uninitialized -Wmissing-braces -Wmissing-declarations -Wmissing-field-initializers -Wmissing-include-dirs -Wmissing-parameter-type -Wmissing-prototypes -Wmultichar -Wnarrowing -Wnested-externs -Wnonnull -Wold-style-declaration -Wold-style-definition -Wopenmp-simd -Woverflow -Woverride-init -Wpacked-bitfield-compat -Wparentheses -Wpointer-arith -Wpointer-sign -Wpointer-to-int-cast -Wpragmas -Wreturn-local-addr -Wreturn-type -Wsequence-point -Wsizeof-pointer-memaccess -Wstack-protector -Wstrict-aliasing -Wstrict-overflow -Wstrict-prototypes -Wsuggest-attribute=format -Wsuggest-attribute=noreturn -Wswitch -Wsync-nand -Wtrampolines -Wtrigraphs -Wtype-limits -Wuninitialized -Wunknown-pragmas -Wunused -Wunused-but-set-parameter -Wunused-but-set-variable -Wunused-function -Wunused-label -Wunused-local-typedefs -Wunused-macros -Wunused-parameter -Wunused-result -Wunused-value -Wunused-variable -Wvarargs -Wvariadic-macros -Wvector-operation-performance -Wvolatile-register-var -Wwrite-strings -Wnormalized=nfc -Wno-missing-field-initializers -Wno-unused-parameter -Wno-missing-field-initializers -fdiagnostics-show-option -Wframe-larger-than=10000 -O2 -pipe -march=native -Wall -fno-strict-overflow -Wno-strict-overflow -Wl,-O1 -Wl,--as-needed -o .libs/create-disk create_disk-create-disk.o  ../src/.libs/libguestfs.so -lpcre -lmagic -lvirt -lxml2 -lselinux -lyajl -lfuse -pthread
../src/.libs/libguestfs.so: undefined reference to `major'

  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named plasma-abi32+64_20170216-195507) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-5.4.0 *
llvm-config:
3.9.1
Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python3.5 (fallback)
  [3]   python2.7 (fallback)
  [4]   jython2.7 (fallback)
Available Ruby profiles:
  [1]   ruby21 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 7.2.6.8 [icedtea-bin-7]
2)	IcedTea JDK 3.3.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-7  system-vm
  [2]   icedtea-bin-8
Comment 1 Toralf Förster gentoo-dev 2017-02-26 14:54:07 UTC
Created attachment 465272 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-02-26 14:54:10 UTC
Created attachment 465274 [details]
app-emulation:libguestfs-1.28.5-r2:20170226-140822.log
Comment 3 Toralf Förster gentoo-dev 2017-02-26 14:54:13 UTC
Created attachment 465276 [details]
config.log.tbz2
Comment 4 Toralf Förster gentoo-dev 2017-02-26 14:54:16 UTC
Created attachment 465278 [details]
emerge-history.txt
Comment 5 Toralf Förster gentoo-dev 2017-02-26 14:54:19 UTC
Created attachment 465280 [details]
environment
Comment 6 Toralf Förster gentoo-dev 2017-02-26 14:54:22 UTC
Created attachment 465282 [details]
etc.portage.tbz2
Comment 7 Richard Jones 2017-03-01 11:12:49 UTC
Can you try modifying src/fuse.c to include <sys/sysmacros.h>,
as in this commit?

https://github.com/libguestfs/libguestfs/commit/57c327538ee18c1736bc4cd6d655c4d96c309900
Comment 8 Toralf Förster gentoo-dev 2017-03-01 20:44:13 UTC
Created attachment 465660 [details]
57c327538ee18c1736bc4cd6d655c4d96c309900.patch.out

:-(
Comment 9 Richard Jones 2017-03-01 21:17:19 UTC
You're going to have to apply the patch by hand, or try using git cherry-pick which is much smarter about files that have changed name.
Comment 10 Hank Leininger 2017-06-27 23:12:30 UTC
I've added an ebuild for libguestfs-1.36.5 to bug#601162 that I think would fix this problem, please give it a try.
Comment 11 Gilles Dartiguelongue gentoo-dev 2017-08-30 12:31:51 UTC
This is fixed in 1.36 bump. Thanks for reporting.